%define name vips
%define version 7.10.10
%define release alt1


Summary: an image processing library
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Graphics
Source: http://www.vips.ecs.soton.ac.uk/vips-7.10/%{name}-%{version}.tar.bz2
URL: http://www.vips.ecs.soton.ac.uk/


# Automatically added by buildreq on Mon Sep 15 2003
BuildRequires: gcc3.4-c++ xorg-x11-devel xorg-x11-libs fontconfig-devel freetype2-devel imlib-devel imlib2 libImageMagick-devel libSDL_image-devel libfftw-devel libfltk libjpeg-devel liblcms-devel libpng-devel libstdc++-devel libtiff-devel libxml2-devel zlib-devel pkgconfig glib2-devel


%description
VIPS is an image processing library. It is good for very large images (ie.
larger than the amount of RAM in your machine), and for working with colour.
It includes a C++ API, complete man pages, a command-line interface, automatic
threading and an operation database. There are several user interfaces
built on top of VIPS: for example "nip".

%package -n %name-devel
Summary: VIPS development kit.
Group: Graphics
Requires: %name = %version-%release

%package -n %name-devel-static
Summary: VIPS static libraries
Group: Development/C
Requires: %name-devel = %version-%release

%description -n %name-devel
Development libraries and header files for VIPS.

%description -n %name-devel-static
Static libraries for developing statically linked VIPS applications.


%prep
%setup -q

%build

%configure


make 
%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p $RPM_BUILD_ROOT{%includedir,%_bindir,%_libdir,%_mandir/man1/,%_mandir/man3/,%_datadir}



%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig

%postun 
/sbin/ldconfig


%files
%attr(-, root, root)
%doc AUTHORS THANKS README TODO COPYING ChangeLog
%{_bindir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_mandir}/man1/*.1*
%{_datadir}/doc/vips
%{_datadir}/vips
%{_datadir}/locale


%files -n %name-devel
%defattr (-, root, root)
%{_includedir}/vips/*
%{_mandir}/man3/*.3*

%files -n %name-devel-static
%_libdir/lib*.a


%changelog
* Tue Jun 21 2005 Anatoly Yakushin <jaa@altlinux.ru> 7.10.10-alt1
- new stable version

* Wed Mar 09 2005 Anatoly Yakushin <jaa@altlinux.ru> 7.10.8-alt1
- new stable version

* Wed Dec 17 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.9.0-alt2
- delete *.la files 

* Thu Oct 23 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.9.0-alt1
- new version. spec clean

* Mon Sep 15 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.11-alt1
- new version 

* Thu May 22 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.8-alt2
- bug fix spec file

* Thu May 08 2003 Anatoly Yakushin <jaa@altlinux.ru> 7.8.8-alt1
- adapting spec from Sisyphus

* Mon Feb 3 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.6-2
- hack to change default install prefix to /usr/local

* Thu Jan 30 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.7-1
- first stab at an rpm package for vips
